from PyQt4 import QtCore, QtGui
import maya.cmds as cmd
import infoTool
reload (infoTool)
import sip
import random

path=__file__.split("\\")[0]
windowObject = "pyCustomLocUIWin"

def getMainWindow():
    import maya.OpenMayaUI as mui
    
    pointer = mui.MQtUtil.mainWindow()
    return sip.wrapinstance(long(pointer), QtCore.QObject)


try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_customLocatorUI(object):
    def setupUi(self, customLocatorUI):
        customLocatorUI.setObjectName(_fromUtf8(windowObject))
        customLocatorUI.resize(212, 810)
        self.verticalLayout_2 = QtGui.QVBoxLayout(customLocatorUI)
        self.verticalLayout_2.setObjectName(_fromUtf8("verticalLayout_2"))
        self.head_pb = QtGui.QPushButton(customLocatorUI)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.head_pb.sizePolicy().hasHeightForWidth())
        self.head_pb.setSizePolicy(sizePolicy)
        self.head_pb.setText(_fromUtf8(""))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/head.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.head_pb.setIcon(icon)
        self.head_pb.setIconSize(QtCore.QSize(182, 60))
        self.head_pb.setObjectName(_fromUtf8("head_pb"))
        self.verticalLayout_2.addWidget(self.head_pb)
        self.locaName_gb = QtGui.QGroupBox(customLocatorUI)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.locaName_gb.sizePolicy().hasHeightForWidth())
        self.locaName_gb.setSizePolicy(sizePolicy)
        self.locaName_gb.setObjectName(_fromUtf8("locaName_gb"))
        self.verticalLayout = QtGui.QVBoxLayout(self.locaName_gb)
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.lineEdit = QtGui.QLineEdit(self.locaName_gb)
        self.lineEdit.setText(_fromUtf8(""))
        self.lineEdit.setObjectName(_fromUtf8("lineEdit"))
        self.verticalLayout.addWidget(self.lineEdit)
        self.verticalLayout_2.addWidget(self.locaName_gb)
        self.shape_gb = QtGui.QGroupBox(customLocatorUI)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.shape_gb.sizePolicy().hasHeightForWidth())
        self.shape_gb.setSizePolicy(sizePolicy)
        self.shape_gb.setMinimumSize(QtCore.QSize(0, 250))
        self.shape_gb.setBaseSize(QtCore.QSize(0, 0))
        self.shape_gb.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.shape_gb.setObjectName(_fromUtf8("shape_gb"))
        self.gridLayout_3 = QtGui.QGridLayout(self.shape_gb)
        self.gridLayout_3.setObjectName(_fromUtf8("gridLayout_3"))
        self.triangle_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.triangle_pb.sizePolicy().hasHeightForWidth())
        self.triangle_pb.setSizePolicy(sizePolicy)
        self.triangle_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.triangle_pb.setAutoFillBackground(False)
        self.triangle_pb.setText(_fromUtf8(""))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/triangle.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.triangle_pb.setIcon(icon1)
        self.triangle_pb.setIconSize(QtCore.QSize(50, 50))
        self.triangle_pb.setObjectName(_fromUtf8("triangle_pb"))
        self.gridLayout_3.addWidget(self.triangle_pb, 0, 0, 1, 1)
        self.rhombus_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.rhombus_pb.sizePolicy().hasHeightForWidth())
        self.rhombus_pb.setSizePolicy(sizePolicy)
        self.rhombus_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.rhombus_pb.setText(_fromUtf8(""))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/rhombus.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.rhombus_pb.setIcon(icon2)
        self.rhombus_pb.setIconSize(QtCore.QSize(50, 50))
        self.rhombus_pb.setObjectName(_fromUtf8("rhombus_pb"))
        self.gridLayout_3.addWidget(self.rhombus_pb, 0, 1, 1, 1)
        self.hexagon_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.hexagon_pb.sizePolicy().hasHeightForWidth())
        self.hexagon_pb.setSizePolicy(sizePolicy)
        self.hexagon_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.hexagon_pb.setText(_fromUtf8(""))
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/hexagon.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.hexagon_pb.setIcon(icon3)
        self.hexagon_pb.setIconSize(QtCore.QSize(50, 50))
        self.hexagon_pb.setObjectName(_fromUtf8("hexagon_pb"))
        self.gridLayout_3.addWidget(self.hexagon_pb, 0, 2, 1, 1)
        self.circle_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.circle_pb.sizePolicy().hasHeightForWidth())
        self.circle_pb.setSizePolicy(sizePolicy)
        self.circle_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.circle_pb.setText(_fromUtf8(""))
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/circle.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.circle_pb.setIcon(icon4)
        self.circle_pb.setIconSize(QtCore.QSize(50, 50))
        self.circle_pb.setObjectName(_fromUtf8("circle_pb"))
        self.gridLayout_3.addWidget(self.circle_pb, 1, 0, 1, 1)
        self.cube_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cube_pb.sizePolicy().hasHeightForWidth())
        self.cube_pb.setSizePolicy(sizePolicy)
        self.cube_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.cube_pb.setText(_fromUtf8(""))
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/cube.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.cube_pb.setIcon(icon5)
        self.cube_pb.setIconSize(QtCore.QSize(50, 50))
        self.cube_pb.setObjectName(_fromUtf8("cube_pb"))
        self.gridLayout_3.addWidget(self.cube_pb, 1, 1, 1, 1)
        self.octahedron_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.octahedron_pb.sizePolicy().hasHeightForWidth())
        self.octahedron_pb.setSizePolicy(sizePolicy)
        self.octahedron_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.octahedron_pb.setText(_fromUtf8(""))
        icon6 = QtGui.QIcon()
        icon6.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/octahedron.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.octahedron_pb.setIcon(icon6)
        self.octahedron_pb.setIconSize(QtCore.QSize(50, 50))
        self.octahedron_pb.setObjectName(_fromUtf8("octahedron_pb"))
        self.gridLayout_3.addWidget(self.octahedron_pb, 1, 2, 1, 1)
        self.cone_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cone_pb.sizePolicy().hasHeightForWidth())
        self.cone_pb.setSizePolicy(sizePolicy)
        self.cone_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.cone_pb.setText(_fromUtf8(""))
        icon7 = QtGui.QIcon()
        icon7.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/cone.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.cone_pb.setIcon(icon7)
        self.cone_pb.setIconSize(QtCore.QSize(50, 50))
        self.cone_pb.setObjectName(_fromUtf8("cone_pb"))
        self.gridLayout_3.addWidget(self.cone_pb, 2, 0, 1, 1)
        self.cilinder_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cilinder_pb.sizePolicy().hasHeightForWidth())
        self.cilinder_pb.setSizePolicy(sizePolicy)
        self.cilinder_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.cilinder_pb.setText(_fromUtf8(""))
        icon8 = QtGui.QIcon()
        icon8.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/cilinder.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.cilinder_pb.setIcon(icon8)
        self.cilinder_pb.setIconSize(QtCore.QSize(50, 50))
        self.cilinder_pb.setObjectName(_fromUtf8("cilinder_pb"))
        self.gridLayout_3.addWidget(self.cilinder_pb, 2, 1, 1, 1)
        self.sphere_pb = QtGui.QPushButton(self.shape_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sphere_pb.sizePolicy().hasHeightForWidth())
        self.sphere_pb.setSizePolicy(sizePolicy)
        self.sphere_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.sphere_pb.setText(_fromUtf8(""))
        icon9 = QtGui.QIcon()
        icon9.addPixmap(QtGui.QPixmap(_fromUtf8(path+"/locPics/sphere.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.sphere_pb.setIcon(icon9)
        self.sphere_pb.setIconSize(QtCore.QSize(50, 50))
        self.sphere_pb.setObjectName(_fromUtf8("sphere_pb"))
        self.gridLayout_3.addWidget(self.sphere_pb, 2, 2, 1, 1)
        self.verticalLayout_2.addWidget(self.shape_gb)
        self.color_gb = QtGui.QGroupBox(customLocatorUI)
        self.color_gb.setObjectName(_fromUtf8("color_gb"))
        self.gridLayout = QtGui.QGridLayout(self.color_gb)
        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
        self.red_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.red_pb.sizePolicy().hasHeightForWidth())
        self.red_pb.setSizePolicy(sizePolicy)
        self.red_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.red_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.red_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(255, 0, 0, 255), stop:1 rgba(125, 0, 0, 255));"))
        self.red_pb.setText(_fromUtf8(""))
        self.red_pb.setAutoRepeat(False)
        self.red_pb.setAutoExclusive(False)
        self.red_pb.setAutoDefault(False)
        self.red_pb.setDefault(False)
        self.red_pb.setFlat(False)
        self.red_pb.setObjectName(_fromUtf8("red_pb"))
        self.gridLayout.addWidget(self.red_pb, 0, 0, 1, 1)
        self.orange_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.orange_pb.sizePolicy().hasHeightForWidth())
        self.orange_pb.setSizePolicy(sizePolicy)
        self.orange_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.orange_pb.setCursor(QtCore.Qt.ArrowCursor)
        self.orange_pb.setAcceptDrops(False)
        self.orange_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.orange_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(255, 125, 0, 255), stop:1 rgba(125, 60, 0, 255));"))
        self.orange_pb.setText(_fromUtf8(""))
        self.orange_pb.setAutoRepeat(False)
        self.orange_pb.setAutoExclusive(False)
        self.orange_pb.setAutoDefault(False)
        self.orange_pb.setDefault(False)
        self.orange_pb.setFlat(False)
        self.orange_pb.setObjectName(_fromUtf8("orange_pb"))
        self.gridLayout.addWidget(self.orange_pb, 0, 1, 1, 1)
        self.yellow_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.yellow_pb.sizePolicy().hasHeightForWidth())
        self.yellow_pb.setSizePolicy(sizePolicy)
        self.yellow_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.yellow_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.yellow_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(255, 255, 0, 255), stop:1 rgba(125, 125, 0, 255));"))
        self.yellow_pb.setText(_fromUtf8(""))
        self.yellow_pb.setAutoRepeat(False)
        self.yellow_pb.setAutoExclusive(False)
        self.yellow_pb.setAutoDefault(False)
        self.yellow_pb.setDefault(False)
        self.yellow_pb.setFlat(False)
        self.yellow_pb.setObjectName(_fromUtf8("yellow_pb"))
        self.gridLayout.addWidget(self.yellow_pb, 0, 2, 1, 1)
        self.green_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.green_pb.sizePolicy().hasHeightForWidth())
        self.green_pb.setSizePolicy(sizePolicy)
        self.green_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.green_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.green_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(0, 255, 0, 255), stop:1 rgba(0,125, 0, 255));"))
        self.green_pb.setText(_fromUtf8(""))
        self.green_pb.setAutoRepeat(False)
        self.green_pb.setAutoExclusive(False)
        self.green_pb.setAutoDefault(False)
        self.green_pb.setDefault(False)
        self.green_pb.setFlat(False)
        self.green_pb.setObjectName(_fromUtf8("green_pb"))
        self.gridLayout.addWidget(self.green_pb, 1, 0, 1, 1)
        self.turquoise_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.turquoise_pb.sizePolicy().hasHeightForWidth())
        self.turquoise_pb.setSizePolicy(sizePolicy)
        self.turquoise_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.turquoise_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.turquoise_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(0, 255, 125, 255), stop:1 rgba(0, 125, 60, 255));"))
        self.turquoise_pb.setText(_fromUtf8(""))
        self.turquoise_pb.setAutoRepeat(False)
        self.turquoise_pb.setAutoExclusive(False)
        self.turquoise_pb.setAutoDefault(False)
        self.turquoise_pb.setDefault(False)
        self.turquoise_pb.setFlat(False)
        self.turquoise_pb.setObjectName(_fromUtf8("turquoise_pb"))
        self.gridLayout.addWidget(self.turquoise_pb, 1, 1, 1, 1)
        self.cyan_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cyan_pb.sizePolicy().hasHeightForWidth())
        self.cyan_pb.setSizePolicy(sizePolicy)
        self.cyan_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.cyan_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.cyan_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(0, 255, 255, 255), stop:1 rgba(0, 125, 125, 255));"))
        self.cyan_pb.setText(_fromUtf8(""))
        self.cyan_pb.setAutoRepeat(False)
        self.cyan_pb.setAutoExclusive(False)
        self.cyan_pb.setAutoDefault(False)
        self.cyan_pb.setDefault(False)
        self.cyan_pb.setFlat(False)
        self.cyan_pb.setObjectName(_fromUtf8("cyan_pb"))
        self.gridLayout.addWidget(self.cyan_pb, 1, 2, 1, 1)
        self.ocean_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ocean_pb.sizePolicy().hasHeightForWidth())
        self.ocean_pb.setSizePolicy(sizePolicy)
        self.ocean_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.ocean_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.ocean_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(0, 125, 255, 255), stop:1 rgba(0, 60, 125, 255));"))
        self.ocean_pb.setText(_fromUtf8(""))
        self.ocean_pb.setAutoRepeat(False)
        self.ocean_pb.setAutoExclusive(False)
        self.ocean_pb.setAutoDefault(False)
        self.ocean_pb.setDefault(False)
        self.ocean_pb.setFlat(False)
        self.ocean_pb.setObjectName(_fromUtf8("ocean_pb"))
        self.gridLayout.addWidget(self.ocean_pb, 2, 0, 1, 1)
        self.blue_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.blue_pb.sizePolicy().hasHeightForWidth())
        self.blue_pb.setSizePolicy(sizePolicy)
        self.blue_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.blue_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.blue_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(0, 0, 255, 255), stop:1 rgba(0, 0, 125, 255));"))
        self.blue_pb.setText(_fromUtf8(""))
        self.blue_pb.setAutoRepeat(False)
        self.blue_pb.setAutoExclusive(False)
        self.blue_pb.setAutoDefault(False)
        self.blue_pb.setDefault(False)
        self.blue_pb.setFlat(False)
        self.blue_pb.setObjectName(_fromUtf8("blue_pb"))
        self.gridLayout.addWidget(self.blue_pb, 2, 1, 1, 1)
        self.violet_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.violet_pb.sizePolicy().hasHeightForWidth())
        self.violet_pb.setSizePolicy(sizePolicy)
        self.violet_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.violet_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.violet_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(125, 0, 255, 255), stop:1 rgba(60, 0, 125, 255));"))
        self.violet_pb.setText(_fromUtf8(""))
        self.violet_pb.setAutoRepeat(False)
        self.violet_pb.setAutoExclusive(False)
        self.violet_pb.setAutoDefault(False)
        self.violet_pb.setDefault(False)
        self.violet_pb.setFlat(False)
        self.violet_pb.setObjectName(_fromUtf8("violet_pb"))
        self.gridLayout.addWidget(self.violet_pb, 2, 2, 1, 1)
        self.magenta_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.magenta_pb.sizePolicy().hasHeightForWidth())
        self.magenta_pb.setSizePolicy(sizePolicy)
        self.magenta_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.magenta_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.magenta_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(255, 0, 255, 255), stop:1 rgba(125, 0, 125, 255));"))
        self.magenta_pb.setText(_fromUtf8(""))
        self.magenta_pb.setAutoRepeat(False)
        self.magenta_pb.setAutoExclusive(False)
        self.magenta_pb.setAutoDefault(False)
        self.magenta_pb.setDefault(False)
        self.magenta_pb.setFlat(False)
        self.magenta_pb.setObjectName(_fromUtf8("magenta_pb"))
        self.gridLayout.addWidget(self.magenta_pb, 3, 0, 1, 1)
        self.raspberry_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.raspberry_pb.sizePolicy().hasHeightForWidth())
        self.raspberry_pb.setSizePolicy(sizePolicy)
        self.raspberry_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.raspberry_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.raspberry_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(255, 0, 125, 255), stop:1 rgba(125, 0, 60, 255));"))
        self.raspberry_pb.setText(_fromUtf8(""))
        self.raspberry_pb.setAutoRepeat(False)
        self.raspberry_pb.setAutoExclusive(False)
        self.raspberry_pb.setAutoDefault(False)
        self.raspberry_pb.setDefault(False)
        self.raspberry_pb.setFlat(False)
        self.raspberry_pb.setObjectName(_fromUtf8("raspberry_pb"))
        self.gridLayout.addWidget(self.raspberry_pb, 3, 1, 1, 1)
        self.black_pb = QtGui.QPushButton(self.color_gb)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.black_pb.sizePolicy().hasHeightForWidth())
        self.black_pb.setSizePolicy(sizePolicy)
        self.black_pb.setMinimumSize(QtCore.QSize(50, 50))
        self.black_pb.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.black_pb.setStyleSheet(_fromUtf8("background-color: qlineargradient(spread:reflect, x1:0, y1:0, x2:1, y2:1, stop:0 rgba(0, 0, 0, 255), stop:1 rgba(125,125, 125, 255));"))
        self.black_pb.setText(_fromUtf8(""))
        self.black_pb.setAutoRepeat(False)
        self.black_pb.setAutoExclusive(False)
        self.black_pb.setAutoDefault(False)
        self.black_pb.setDefault(False)
        self.black_pb.setFlat(False)
        self.black_pb.setObjectName(_fromUtf8("black_pb"))
        self.gridLayout.addWidget(self.black_pb, 3, 2, 1, 1)
        self.randomize_pb = QtGui.QPushButton(self.color_gb)
        self.randomize_pb.setObjectName(_fromUtf8("randomize_pb"))
        self.gridLayout.addWidget(self.randomize_pb, 4, 0, 1, 3)
        self.shaded_cb = QtGui.QCheckBox(self.color_gb)
        self.shaded_cb.setObjectName(_fromUtf8("shaded_cb"))
        self.gridLayout.addWidget(self.shaded_cb, 5, 0, 1, 2)
        self.xray_cb = QtGui.QCheckBox(self.color_gb)
        self.xray_cb.setObjectName(_fromUtf8("xray_cb"))
        self.gridLayout.addWidget(self.xray_cb, 6, 0, 1, 1)
        self.transparency_sl = QtGui.QSlider(self.color_gb)
        self.transparency_sl.setMaximum(100)
        self.transparency_sl.setSliderPosition(50)
        self.transparency_sl.setOrientation(QtCore.Qt.Horizontal)
        self.transparency_sl.setTickPosition(QtGui.QSlider.TicksAbove)
        self.transparency_sl.setTickInterval(25)
        self.transparency_sl.setObjectName(_fromUtf8("transparency_sl"))
        self.gridLayout.addWidget(self.transparency_sl, 12, 0, 1, 3)
        self.label = QtGui.QLabel(self.color_gb)
        self.label.setFrameShape(QtGui.QFrame.Panel)
        self.label.setFrameShadow(QtGui.QFrame.Sunken)
        self.label.setScaledContents(False)
        self.label.setWordWrap(False)
        self.label.setOpenExternalLinks(False)
        self.label.setObjectName(_fromUtf8("label"))
        self.gridLayout.addWidget(self.label, 11, 0, 1, 3)
        self.drawOn_cb = QtGui.QComboBox(self.color_gb)
        self.drawOn_cb.setObjectName(_fromUtf8("drawOn_cb"))
        self.drawOn_cb.addItem(_fromUtf8(""))
        self.drawOn_cb.addItem(_fromUtf8(""))
        self.drawOn_cb.addItem(_fromUtf8(""))
        self.gridLayout.addWidget(self.drawOn_cb, 7, 1, 1, 2)
        self.drawOn_lb = QtGui.QLabel(self.color_gb)
        self.drawOn_lb.setObjectName(_fromUtf8("drawOn_lb"))
        self.gridLayout.addWidget(self.drawOn_lb, 7, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.color_gb)

        # define signal comands
        self.head_pb.pressed.connect(self.headerInfo)
        self.triangle_pb.pressed.connect(lambda arg = 0:self.customLoc(arg))
        self.rhombus_pb.pressed.connect(lambda arg = 0:self.customLoc(arg))
        self.hexagon_pb.pressed.connect(lambda arg = 0:self.customLoc(arg))
        self.circle_pb.pressed.connect(lambda arg = 0:self.customLoc(arg))
        self.cube_pb.pressed.connect(lambda arg = 1:self.customLoc(arg))
        self.octahedron_pb.pressed.connect(lambda arg = 3:self.customLoc(arg))
        self.cone_pb.pressed.connect(lambda arg = 2:self.customLoc(arg))
        self.cilinder_pb.pressed.connect(lambda arg = 2:self.customLoc(arg))
        self.sphere_pb.pressed.connect(lambda arg = 3:self.customLoc(arg))
        self.red_pb.pressed.connect(self.colorBut)
        self.orange_pb.pressed.connect(self.colorBut)
        self.yellow_pb.pressed.connect(self.colorBut)
        self.green_pb.pressed.connect(self.colorBut)
        self.turquoise_pb.pressed.connect(self.colorBut)
        self.cyan_pb.pressed.connect(self.colorBut)
        self.ocean_pb.pressed.connect(self.colorBut)
        self.blue_pb.pressed.connect(self.colorBut)
        self.violet_pb.pressed.connect(self.colorBut)
        self.magenta_pb.pressed.connect(self.colorBut)
        self.raspberry_pb.pressed.connect(self.colorBut)
        self.black_pb.pressed.connect(self.colorBut)
        self.randomize_pb.pressed.connect(self.colorBut)
        self.shaded_cb.stateChanged.connect(self.colorBut)
        self.xray_cb.stateChanged.connect(self.colorBut)
        self.transparency_sl.sliderMoved.connect(self.sliderCtrl)
        self.drawOn_cb.activated.connect(self.colorBut)

        self.retranslateUi(customLocatorUI)
        QtCore.QMetaObject.connectSlotsByName(customLocatorUI)
        customLocatorUI.setTabOrder(self.head_pb, self.lineEdit)
        customLocatorUI.setTabOrder(self.lineEdit, self.triangle_pb)
        customLocatorUI.setTabOrder(self.triangle_pb, self.rhombus_pb)
        customLocatorUI.setTabOrder(self.rhombus_pb, self.hexagon_pb)
        customLocatorUI.setTabOrder(self.hexagon_pb, self.circle_pb)
        customLocatorUI.setTabOrder(self.circle_pb, self.cube_pb)
        customLocatorUI.setTabOrder(self.cube_pb, self.red_pb)
        customLocatorUI.setTabOrder(self.red_pb, self.orange_pb)
        customLocatorUI.setTabOrder(self.orange_pb, self.yellow_pb)
        customLocatorUI.setTabOrder(self.yellow_pb, self.green_pb)
        customLocatorUI.setTabOrder(self.green_pb, self.turquoise_pb)
        customLocatorUI.setTabOrder(self.turquoise_pb, self.cyan_pb)
        customLocatorUI.setTabOrder(self.cyan_pb, self.ocean_pb)
        customLocatorUI.setTabOrder(self.ocean_pb, self.blue_pb)
        customLocatorUI.setTabOrder(self.blue_pb, self.violet_pb)
        customLocatorUI.setTabOrder(self.violet_pb, self.magenta_pb)
        customLocatorUI.setTabOrder(self.magenta_pb, self.raspberry_pb)
        customLocatorUI.setTabOrder(self.raspberry_pb, self.black_pb)
        customLocatorUI.setTabOrder(self.black_pb, self.randomize_pb)
        customLocatorUI.setTabOrder(self.randomize_pb, self.shaded_cb)
        customLocatorUI.setTabOrder(self.shaded_cb, self.xray_cb)



    def reNumberIt(self,name):
        if cmd.objExists(name)!=1:
            return name
        else:
            tk=name.split("_")
            for i in xrange (len(tk)):
                if tk[i].isalpha()==False:
                    fP=len(tk[i])
                    newN=int(tk[i])+1
                    tk[i]=str(newN)
                    tk[i]=tk[i].zfill(fP)
            return self.reNumberIt(("_").join(tk))

    def stName(self):
        if self.lineEdit.text() == "":
            name = self.reNumberIt("locator_01")
        else:
            name = self.reNumberIt(str(self.lineEdit.text()))
        return name
    
    # define methods button
    def headerInfo(self):
        infoTool.showW()
    def customLoc(self,num):
        nodeName=["clCircle","dfBox","clCilinder","dfSphere"]
        sName = self.stName()
        locShp = cmd.createNode(nodeName[int(num)],n= str(sName) + "_shp")
        loc = cmd.listRelatives(locShp,p=1)
        cmd.rename(loc,str(sName))
        if self.triangle_pb.isDown():
            cmd.setAttr(locShp+".seg",3)
        elif self.rhombus_pb.isDown():
            cmd.setAttr(locShp+".seg",4)
        elif self.hexagon_pb.isDown():
            cmd.setAttr(locShp+".seg",6)
        elif self.circle_pb.isDown():
            cmd.setAttr(locShp+".seg",16)
        elif self.octahedron_pb.isDown():
            cmd.setAttr(locShp+".segX",2)
            cmd.setAttr(locShp+".segY",4)
        elif self.cone_pb.isDown():
            cmd.setAttr(locShp+".rcp",1)
            cmd.setAttr(locShp+".rtp",0)
            cmd.setAttr(locShp+".hgt",2)

    def sliderCtrl(self):
        sel=cmd.ls(sl=1)
        if sel == []:
            print "please select one or more customs locators"
        else:
            for sels in sel:
                shp=cmd.listRelatives(sels,s=1)[0]
                cmd.setAttr (shp+".t",float(float(self.transparency_sl.value())/100.0))
    def colorBut(self):
        # set vector color
        red = (1,0,0)
        orange = (1,0.5,0)
        yellow = (1,1,0)
        green = (0,1,0)
        turquoise=(0,1,0.5)
        cyan= (0,1,1)
        ocean= (0,0.5,1)
        blue= (0,0,1)
        violet= (0.5,0,1)
        magenta= (1,0,1)
        raspberry= ( 1,0,0.5)
        black= (0,0,0)
        
        sel=cmd.ls(sl=1)
        if sel == []:
            print "please select one or more custom locators"
        else:
            for sels in sel:
                shp=cmd.listRelatives(sels,s=1)[0]
                if self.red_pb.isDown():
                    cmd.setAttr(shp+".colR",red[0])
                    cmd.setAttr(shp+".colG",red[1])
                    cmd.setAttr(shp+".colB",red[2])
                elif self.orange_pb.isDown():
                    cmd.setAttr(shp+".colR",orange[0])
                    cmd.setAttr(shp+".colG",orange[1])
                    cmd.setAttr(shp+".colB",orange[2])
                elif self.yellow_pb.isDown():
                    cmd.setAttr(shp+".colR",yellow[0])
                    cmd.setAttr(shp+".colG",yellow[1])
                    cmd.setAttr(shp+".colB",yellow[2])
                elif self.green_pb.isDown():
                    cmd.setAttr(shp+".colR",green[0])
                    cmd.setAttr(shp+".colG",green[1])
                    cmd.setAttr(shp+".colB",green[2])
                elif self.turquoise_pb.isDown():
                    cmd.setAttr(shp+".colR",turquoise[0])
                    cmd.setAttr(shp+".colG",turquoise[1])
                    cmd.setAttr(shp+".colB",turquoise[2])
                elif self.cyan_pb.isDown():
                    cmd.setAttr(shp+".colR",cyan[0])
                    cmd.setAttr(shp+".colG",cyan[1])
                    cmd.setAttr(shp+".colB",cyan[2])
                elif self.ocean_pb.isDown():
                    cmd.setAttr(shp+".colR",ocean[0])
                    cmd.setAttr(shp+".colG",ocean[1])
                    cmd.setAttr(shp+".colB",ocean[2])
                elif self.blue_pb.isDown():
                    cmd.setAttr(shp+".colR",blue[0])
                    cmd.setAttr(shp+".colG",blue[1])
                    cmd.setAttr(shp+".colB",blue[2])
                elif self.violet_pb.isDown():
                    cmd.setAttr(shp+".colR",violet[0])
                    cmd.setAttr(shp+".colG",violet[1])
                    cmd.setAttr(shp+".colB",violet[2])
                elif self.magenta_pb.isDown():
                    cmd.setAttr(shp+".colR",magenta[0])
                    cmd.setAttr(shp+".colG",magenta[1])
                    cmd.setAttr(shp+".colB",magenta[2])
                elif self.raspberry_pb.isDown():
                    cmd.setAttr(shp+".colR",raspberry[0])
                    cmd.setAttr(shp+".colG",raspberry[1])
                    cmd.setAttr(shp+".colB",raspberry[2])
                elif self.black_pb.isDown():
                    cmd.setAttr(shp+".colR",black[0])
                    cmd.setAttr(shp+".colG",black[1])
                    cmd.setAttr(shp+".colB",black[2])
                elif self.randomize_pb.isDown():
                    cmd.setAttr(shp+".colR",random.random())
                    cmd.setAttr(shp+".colG",random.random())
                    cmd.setAttr(shp+".colB",random.random())
                elif self.drawOn_cb.hasFrame():
                    try:
                        cmd.setAttr(shp+".dp",int(self.drawOn_cb.currentIndex()))
                    except:
                        pass
                if self.shaded_cb.checkState():
                    cmd.setAttr(shp+".dt",0)
                else:
                    cmd.setAttr(shp+".dt",1)
                if self.xray_cb.checkState():
                    cmd.setAttr(shp+".drawOver",1)
                else:
                    cmd.setAttr(shp+".drawOver",0)


    def retranslateUi(self, customLocatorUI):
        customLocatorUI.setWindowTitle(QtGui.QApplication.translate("customLocatorUI", "CustomLocatorUI", None, QtGui.QApplication.UnicodeUTF8))
        self.locaName_gb.setTitle(QtGui.QApplication.translate("customLocatorUI", "Locator Name", None, QtGui.QApplication.UnicodeUTF8))
        self.shape_gb.setTitle(QtGui.QApplication.translate("customLocatorUI", "Shape", None, QtGui.QApplication.UnicodeUTF8))
        self.color_gb.setTitle(QtGui.QApplication.translate("customLocatorUI", "Color", None, QtGui.QApplication.UnicodeUTF8))
        self.randomize_pb.setText(QtGui.QApplication.translate("customLocatorUI", "Randomize", None, QtGui.QApplication.UnicodeUTF8))
        self.shaded_cb.setText(QtGui.QApplication.translate("customLocatorUI", "Wireframe", None, QtGui.QApplication.UnicodeUTF8))
        self.xray_cb.setText(QtGui.QApplication.translate("customLocatorUI", "Xray", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setText(QtGui.QApplication.translate("customLocatorUI", "Transparency", None, QtGui.QApplication.UnicodeUTF8))
        self.drawOn_cb.setItemText(0, QtGui.QApplication.translate("customLocatorUI", "X", None, QtGui.QApplication.UnicodeUTF8))
        self.drawOn_cb.setItemText(1, QtGui.QApplication.translate("customLocatorUI", "Y", None, QtGui.QApplication.UnicodeUTF8))
        self.drawOn_cb.setItemText(2, QtGui.QApplication.translate("customLocatorUI", "Z", None, QtGui.QApplication.UnicodeUTF8))
        self.drawOn_lb.setText(QtGui.QApplication.translate("customLocatorUI", "Draw on:", None, QtGui.QApplication.UnicodeUTF8))


class StepsDlg(QtGui.QDialog, Ui_customLocatorUI):
    def __init__(self,parent=getMainWindow()):
        super(StepsDlg, self).__init__(parent)
        self.setupUi(self)
        
def showW():
    if cmd.window(windowObject,q=1, exists=1):
        cmd.deleteUI(windowObject)
    global gui
    gui = StepsDlg()
    gui.show()